Welcome to PhantomPilots.com

Sign up for a weekly email of the latest drone news & information

FPV with old Phantom firmware

Discussion in 'Firmware' started by Phantom2inVA, Nov 22, 2014.

  1. Phantom2inVA

    Mar 29, 2014
    Likes Received:
    I received all of the required parts today to put FPV on my phantom 2 with a zenmuse 3 - 2 D. I wanted to ask all of you, will I need to upgrade the firmware on my phantom which I believe is either 1.8 or 2.0? I know I have to plug in the iOSD to make certain that it is updated but I wasn't sure if the actual phantom firmware had to be at a certain level. please let me know. Thx!